Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class GoalToExecute

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.GoalToExecute

public class GoalToExecute
extends Object

A goal scheduled to execute in Prolog whenever possible

Constructor Summary
`GoalToExecute(GoalFromJava goal)`

Method Summary
`void` | `abort()`
`GoalFromJava` | `getGoal()`
`int` | `getTimestamp()`
`boolean` | `hasEnded()`
`boolean` | `hasStarted()`
`void` | `interrupt()`
`boolean` | `isFirstGoal()`
`void` | `prologWasCalled()`
`void` | `setFirstGoalStatus()`
`void` | `setResult(ResultFromProlog result)`
`String` | `toString()`
`ResultFromProlog` | `waitForResult()` Obtain result for a Prolog goal, blocking until it is available
`boolean` | `wasAborted()`
`boolean` | `wasInterrupted()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoalToExecute

    public GoalToExecute(GoalFromJava goal)

Method Detail

### waitForResult

    public ResultFromProlog waitForResult()

  Obtain result for a Prolog goal, blocking until it is available

### setResult

    public void setResult(ResultFromProlog result)

### wasInterrupted

    public boolean wasInterrupted()

### wasAborted

    public boolean wasAborted()

### interrupt

    public void interrupt()

### abort

    public void abort()

### getGoal

    public GoalFromJava getGoal()

### prologWasCalled

    public void prologWasCalled()

### hasStarted

    public boolean hasStarted()

### hasEnded

    public boolean hasEnded()

### getTimestamp

    public int getTimestamp()

### setFirstGoalStatus

    public void setFirstGoalStatus()

### isFirstGoal

    public boolean isFirstGoal()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD